Bug 383721 - New tab changing shortcuts conflict with Move to Top/Bottom of View commands in Kate
Summary: New tab changing shortcuts conflict with Move to Top/Bottom of View commands ...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: part (show other bugs)
Version: Git
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
: 390388 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-08-19 22:50 UTC by Nate Graham
Modified: 2019-04-15 03:04 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.58


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2017-08-19 22:50:47 UTC
In https://phabricator.kde.org/R237:d85a57645f94d2d087711d7c608a0c5a46ed7ede, we changed the standard tab changing keyboard shortcuts to ctrl+pgup/pgdn.

This creates a conflict in Kate, which currently uses ctrl+pgup for "Move to Top of View and ctrl+pgdn for "Move to Bottom of View".
Comment 1 David Faure 2017-08-23 22:05:52 UTC
Oops, I didn't expect this to happen.

I assume the Kate developers want to keep the current meaning for Ctrl+PgUp/Ctrl+PgDown? In that case I can suggest this fix:
https://phabricator.kde.org/D7497
Comment 2 Nate Graham 2017-08-24 03:31:33 UTC
My preference would be to keep the shortcut so it can remain consistent across apps (consistency is important!), but we should ask Kate developers their preference.
Comment 3 Nate Graham 2018-02-13 22:47:00 UTC
*** Bug 390388 has been marked as a duplicate of this bug. ***